pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Not able to install mail/qmail

On 30.05.2014, at 23:45, Amitai Schlair <> wrote:

> On Tue, May 6, 2014 at 6:31 AM, Amitai Schlair 
> <> wrote:
>> On Tue, May 06, 2014 at 11:16:23AM +0200, Thomas Lazar wrote:
>>>> Generating a 1024 bit RSA private key
>>>> ........++++++
>>>> ....++++++
>>>> writing new private key to '/var/qmail/control/servercert.pem'
>>>> /var/qmail/control/servercert.pem: No such file or directory
>> This action comes from the patch applied by the tls option. For
>> pkgsrc purposes, we need to be deferring cert-generation to the
>> package's INSTALL script. I'll take a look.
> I've adjusted the tls option so that it no longer tries to generate a
> certificate during the build (which is the wrong time, if we ever want
> useful binary packages). Instead, at install time, if you don't
> already have a cert in the expected location, the qmail package
> displays the steps you can run to generate it.
> I've verified that the build no longer fails, the cert-generating
> steps work, and the resulting qmail-smtpd offers STARTTLS. Please
> update mail/qmail to 1.03nb19 and let us know whether it works for
> you.

Qmail is building and installing now. Thanks a lot,

Only problem was that on a clean pkgsrc installation it wasn`t able to download 
the netqmail-1.05-tls-smtpauth-20070417.patch. I got it from here now 

I also noticed that you set the netqmail option as one of the defaults now, 
which i liked. Might i suggest that the tis option gets to be default as well? 
In my opinion nobody should install qmail without tis anyways. 

Best regards

Home | Main Index | Thread Index | Old Index